scriptName format ["%1Scripts\Common\Config\Config_Depot.sqf",BIS_WFdPath];
//Last modified 2/25/10
//*****************************************************************************************
//Description: Aircraft factory configurations.
//*****************************************************************************************

//WEST
_u			= [corePath + "Client\Functions\Client_RepairAtDepot.sqf"]; //Repair
_d			= [Localize "Config_Depot.sqf1" + " " + Localize "Config_Depot.sqf2"]; //Repair + Team vehicle(s)
_f			= ["ALL"];
_c			= [250];
_t			= [0];
_p			= [0];
_i			= ["\ca\UI\Data\icon_wf_building_repair_ca.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_RearmAtDepot.sqf"]; //Rearm
_d = _d		+ [Localize "Config_Depot.sqf5" + " " + Localize "Config_Depot.sqf2"];
_f = _f		+ ["ALL"];
_c = _c		+ [250];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\gui_firemod_3bullets_CA.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_RefuelAtDepot.sqf"]; //Refuel
_d = _d		+ [Localize "Config_Depot.sqf8" + " " + Localize "Config_Depot.sqf2"];
_f = _f		+ ["ALL"];
_c = _c		+ [100];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\Map_Fuelstation_CA.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_HealAtDepot.sqf"]; //Heal
_d = _d		+ [Localize "STR_HEAL"];
_f = _f		+ ["ALL"];
_c = _c		+ [100];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\icon_wf_building_firstaid_ca.paa"];

_u = _u		+ ["HMMWV"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "displayName")];
_f = _f		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "faction")];
_c = _c		+ [400];
_t = _t		+ [15];
_p = _p		+ [10];
_i = _i		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "picture")];

_u = _u		+ ["UAZ_CDF"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "displayName")];
_f = _f		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "faction")];
_c = _c		+ [350];
_t = _t		+ [15];
_p = _p		+ [10];
_i = _i		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "picture")];

westDepotCrews = [];
{westDepotCrews = westDepotCrews + [0]} ForEach _u;

westDepotUnits = _u;
westDepotDescriptions = _d;
westDepotFactions = _f;
westDepotCosts = _c;
westDepotMannedCosts = _c;
westDepotTimes = _t;
westDepotPoints = _p;
westDepotImages = _i;

//EAST
_u			= [corePath + "Client\Functions\Client_RepairAtDepot.sqf"]; //Repair
_d			= [Localize "Config_Depot.sqf1" + " " + Localize "Config_Depot.sqf2"];
_f			= ["ALL"];
_c			= [250];
_t			= [0];
_p			= [0];
_i			= ["\ca\UI\Data\icon_wf_building_repair_ca.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_RearmAtDepot.sqf"]; //Rearm
_d = _d		+ [Localize "Config_Depot.sqf5" + " " + Localize "Config_Depot.sqf2"];
_f = _f		+ ["ALL"];
_c = _c		+ [250];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\gui_firemod_3bullets_CA.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_RefuelAtDepot.sqf"]; //Refuel
_d = _d		+ [Localize "Config_Depot.sqf8" + " " + Localize "Config_Depot.sqf2"];
_f = _f		+ ["ALL"];
_c = _c		+ [100];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\Map_Fuelstation_CA.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_HealAtDepot.sqf"]; //Heal
_d = _d		+ [Localize "STR_HEAL"];
_f = _f		+ ["ALL"];
_c = _c		+ [100];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\icon_wf_building_firstaid_ca.paa"];

_u = _u		+ ["UAZ_RU"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "displayName")];
_f = _f		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "faction")];
_c = _c		+ [400];
_t = _t		+ [15];
_p = _p		+ [10];
_i = _i		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "picture")];

_u = _u		+ ["UAZ_INS"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "displayName")];
_f = _f		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "faction")];
_c = _c		+ [400];
_t = _t		+ [15];
_p = _p		+ [10];
_i = _i		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "picture")];

eastDepotCrews = [];
{eastDepotCrews = eastDepotCrews + [0]} ForEach _u;

eastDepotUnits = _u;
eastDepotDescriptions = _d;
eastDepotFactions = _f;
eastDepotCosts = _c;
eastDepotMannedCosts = _c;
eastDepotTimes = _t;
eastDepotPoints = _p;
eastDepotImages = _i;

//RESISTANCE
_u			= [corePath + "Client\Functions\Client_RepairAtDepot.sqf"]; //Repair
_d			= [Localize "Config_Depot.sqf1" + " " + Localize "Config_Depot.sqf2"];
_f			= ["ALL"];
_c			= [250];
_t			= [0];
_p			= [0];
_i			= ["\ca\UI\Data\icon_wf_building_repair_ca.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_RearmAtDepot.sqf"]; //Rearm
_d = _d		+ [Localize "Config_Depot.sqf5" + " " + Localize "Config_Depot.sqf2"];
_f = _f		+ ["ALL"];
_c = _c		+ [250];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\gui_firemod_3bullets_CA.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_RefuelAtDepot.sqf"]; //Refuel
_d = _d		+ [Localize "Config_Depot.sqf8" + " " + Localize "Config_Depot.sqf2"];
_f = _f		+ ["ALL"];
_c = _c		+ [100];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\Map_Fuelstation_CA.paa"];

_u = _u		+ [corePath + "Client\Functions\Client_HealAtDepot.sqf"]; //Heal
_d = _d		+ [Localize "STR_HEAL"];
_f = _f		+ ["ALL"];
_c = _c		+ [100];
_t = _t		+ [0];
_p = _p		+ [0];
_i = _i		+ ["\ca\UI\Data\icon_wf_building_firstaid_ca.paa"];

_u = _u		+ ["V3S_Gue"];
_d = _d		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "displayName")];
_f = _f		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "faction")];
_c = _c		+ [400];
_t = _t		+ [15];
_p = _p		+ [10];
_i = _i		+ [GetText (configFile >> "CfgVehicles" >> (_u Select (Count _u - 1)) >> "picture")];

resistanceDepotCrews = [];
{resistanceDepotCrews = resistanceDepotCrews + [0]} ForEach _u;

resistanceDepotUnits = _u;
resistanceDepotDescriptions = _d;
resistanceDepotFactions = _f;
resistanceDepotCosts = _c;
resistanceDepotMannedCosts = _c;
resistanceDepotTimes = _t;
resistanceDepotPoints = _p;
resistanceDepotImages = _i;

depotUnits = westDepotUnits + eastDepotUnits + resistanceDepotUnits;
depotUnitCosts = westDepotCosts + eastDepotCosts + resistanceDepotCosts;
depotUnitDescriptions = westDepotDescriptions + eastDepotDescriptions + resistanceDepotDescriptions;

//Determine longest build time.
longestDepotBuildTime = 0;
_t = eastDepotTimes + westDepotTimes + resistanceDepotTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestDepotBuildTime) then
	{
		longestDepotBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//4/3/8 MM - Created file.
