scriptName format ["%1Scripts\Common\Config\Config_Factions.sqf",BIS_WFdPath];
//Last modified 1/20/10
//*****************************************************************************************
//Description: Configure the factions.
//*****************************************************************************************

//Factions that side controls (buildings & defenses of this faction will be available).
//Can use multiple factions. For example West could be USMC and CDF. Primary faction should be first one.
BIS_WF_Common SetVariable ["WestFactions",[Localize "STR_FN_USMC"]];
BIS_WF_Common SetVariable ["EastFactions",[Localize "STR_FN_RU"]];
BIS_WF_Common SetVariable ["ResistanceFactions",[Localize "STR_FN_GUE"]];

//All possible factions for a mission.
//A mission may start with one faction but another is enabled later. If so, it must be included here.
BIS_WF_Common SetVariable ["AllWestFactions",[Localize "STR_FN_USMC"]];
BIS_WF_Common SetVariable ["AllEastFactions",[Localize "STR_FN_RU"]];
BIS_WF_Common SetVariable ["AllResistanceFactions",[Localize "STR_FN_GUE"]];


//*****************************************************************************************
//1/20/10 MM - Created file.
