scriptName format ["%1Scripts\Common\Config\Config_Teams.sqf",BIS_WFdPath];
//Last modified 2/18/10
//*****************************************************************************************
//Description: Defines teams.
//*****************************************************************************************
Private["_a","_ai","_c","_count","_d","_h","_i","_l","_n","_total"];
//ToDo: Localize _d variables only.

Private["_TEAMTYPEAA","_TEAMTYPEAT","_TEAMTYPENORMAL","_TEAMTYPEUNARMED"];
_TEAMTYPENORMAL = BIS_WF_Constants GetVariable "BIS_WF_TEAMTYPENORMAL";
_TEAMTYPEAA = BIS_WF_Constants GetVariable "BIS_WF_TEAMTYPEAA";
_TEAMTYPEAT = BIS_WF_Constants GetVariable "BIS_WF_TEAMTYPEAT";
_TEAMTYPEUNARMED = BIS_WF_Constants GetVariable "BIS_WF_TEAMTYPEUNARMED";

Private["_ARMOR","_INFANTRY","_MECHANIZED","_SPECOPS","_AIR"];
_ARMOR = Localize "STR_WF_TEAMARM";
_MECHANIZED = Localize "STR_WF_TEAMMECH";
_INFANTRY = Localize "STR_WF_TEAMINF";
_SPECOPS = Localize "STR_WF_TEAMSPEC";
_AIR = Localize "STR_WF_TEAMAIR";

//WEST
_n		= ["None"];					//Variable name of team. Also the search name for functions.
_d		= ["None"];					//Name of team that is displayed in UIs. Making it blank will make it unavaible to commander for AI team assignment.
_t		= ["None"];					//Type of team: None, Infantry, SpecOp, Mechanized, Armor, Air.
_ab		= [_TEAMTYPENORMAL];//Ability of team: _TEAMTYPENORMAL, _TEAMTYPEAA, _TEAMTYPEAT. Can be added: _TEAMTYPEAA + _TEAMTYPEAT
_ai		= [false];					//If true it is only available to AI teams.
_f		= [""];						//Name of the BLUFOR/OPFOR sub-faction this team belongs to
_i		= [false];					//Infantry team.
_l		= [false];					//Light vehicles team.
_h		= [false];					//Heavy vehicles team.
_a		= [false];					//Air team.
_u		= [];
_c		= [_u];						//Classnames of units in team.

_n = _n	+ ["Infantry"];
_d = _d	+ [""];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_Soldier"];
_u = _u + ["USMC_Soldier"];
_u = _u + ["USMC_Soldier"];
_u = _u + ["USMC_Soldier"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryFT"];
_d = _d	+ ["Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_Soldier_TL"];
_u = _u + ["USMC_Soldier"];
_u = _u + ["USMC_Soldier_LAT"];
_u = _u + ["USMC_Soldier_AR"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryAT"];
_d = _d	+ ["AT Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_Soldier_TL"];
_u = _u + ["USMC_Soldier_AT"];
_u = _u + ["USMC_Soldier"];
_u = _u + ["USMC_Soldier_HAT"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryAA"];
_d = _d	+ ["AA Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_Soldier_TL"];
_u = _u + ["USMC_Soldier_AA"];
_u = _u + ["USMC_Soldier"];
_u = _u + ["USMC_Soldier_AA"];
_c = _c	+ [_u];

//Team type with this name must always be present.
_n = _n	+ ["InfantryATAA"];
_d = _d	+ ["AT/AA Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAA+_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_Soldier_TL"];
_u = _u + ["USMC_Soldier_AA"];
_u = _u + ["USMC_Soldier"];
_u = _u + ["USMC_Soldier_AT"];
_c = _c	+ [_u];

_n = _n	+ ["InfantrySupport"];
_d = _d	+ ["Support Team"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_SoldierS_Engineer"];
_u = _u + ["USMC_SoldierS_Engineer"];
_u = _u + ["USMC_Soldier_Medic"];
_u = _u + ["USMC_Soldier_Medic"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryWT"];
_d = _d	+ ["Weapons Team"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_Soldier_TL"];
_u = _u + ["USMC_Soldier_MG"];
_u = _u + ["USMC_Soldier_Medic"];
_u = _u + ["USMC_Soldier_MG"];
_c = _c	+ [_u];

_n = _n	+ ["Sniper"];
_d = _d	+ ["Sniper Team"];
_t = _t + [_SPECOPS];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["USMC_SoldierS_Spotter"];
_u = _u + ["USMC_SoldierS_Sniper"];
_u = _u + ["USMC_SoldierS_Spotter"];
_u = _u + ["USMC_SoldierS_Sniper"];
_c = _c	+ [_u];

_n = _n	+ ["BlackOps"];
_d = _d	+ ["Spec Ops Team"];
_t = _t + [_SPECOPS];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["FR_AC"];
_u = _u + ["FR_AC"];
_u = _u + ["FR_R"];
_u = _u + ["FR_R"];
_c = _c	+ [_u];

_n = _n	+ ["Recon"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "HMMWV" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["HMMWV_M2"];
_u = _u + ["HMMWV_MK19"];
_c = _c	+ [_u];

_n = _n	+ ["ReconAT"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "HMMWV_TOW" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["HMMWV_TOW"];
_u = _u + ["HMMWV_M2"];
_c = _c	+ [_u];

_n = _n	+ ["ReconAA"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "HMMWV_Avenger" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["HMMWV_Avenger"];
_u = _u + ["HMMWV_M2"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "MTVR" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEUNARMED];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["MTVR"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedMedium"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "LAV25" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["LAV25"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "AAV" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["AAV"];
_c = _c	+ [_u];

//Not really a tank team. Just gives an easy "downgrade" option for an armor team until heavy factory is available.
_n = _n	+ ["TankLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "LAV25" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["LAV25"];
_c = _c	+ [_u];

_n = _n	+ ["TankMedium"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "M1A1" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["M1A1"];
_c = _c	+ [_u];

_n = _n	+ ["TankHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "M1A2" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["M1A2_TUSK_MG"];
_c = _c	+ [_u];

_n = _n	+ ["TEAMAIR"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "AH64D" >> "displayName")];
_t = _t + [_Air];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [true];
_u		= ["AH64D"];
_u = _u + ["AH64D"];
_c = _c	+ [_u];

_n = _n	+ ["TEAMPlane"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "F35B" >> "displayName")];
_t = _t + [_Air];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [true];
_u		= ["F35B"];
_u = _u + ["F35B"];
_c = _c	+ [_u];

//Patrol teams for towns.
_n = _n	+ ["LightPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAA];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["HMMWV_M2"];
_u = _u + ["HMMWV_MK19"];
_u = _u + ["HMMWV_Avenger"];
_c = _c	+ [_u];

_n = _n	+ ["MediumPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["HMMWV_TOW"];
_u = _u + ["LAV25"];
_u = _u + ["AAV"];
_c = _c	+ [_u];

_n = _n	+ ["HeavyPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_USMC"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["LAV25"];
_u = _u + ["AAV"];
_u = _u + ["M1A1"];
_c = _c	+ [_u];

_total = Count _n;

WestInfantryTeamTypes = [];
WestLightTeamTypes = [];
WestHeavyTeamTypes = [];
WestAirTeamTypes = [];
WestAIOnlyTeamTypes = [];

for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	if (_i Select _count) then {WestInfantryTeamTypes = WestInfantryTeamTypes + [_count]};
	if (_l Select _count) then {WestLightTeamTypes = WestLightTeamTypes + [_count]};
	if (_h Select _count) then {WestHeavyTeamTypes = WestHeavyTeamTypes + [_count]};
	if (_a Select _count) then {WestAirTeamTypes = WestAirTeamTypes + [_count]};
	if (_ai Select _count) then {WestAIOnlyTeamTypes = WestAIOnlyTeamTypes + [_count]};
};

WestTeamTemplates = _c;
WestTeamTemplateNames = _n;
WestTeamTemplateDescriptions = _d;
WestTeamTemplateTypes = _t;
WestTeamTemplateAbilities = _ab;
WestTeamTemplateFactions = _f;

//Generate costs for each template.
WestTeamTemplateCosts = [];

{
	_cost = 0;

	{
		_data = [West,"",_x] Call BIS_WF_GetUnitData;
		if (Count _data > 0) then {_cost = _cost + (_data Select 3)};
	} ForEach _x;

	WestTeamTemplateCosts = WestTeamTemplateCosts + [_cost];
} ForEach WestTeamTemplates;

//Generate fast lookup lists for factions.
WestTeamTemplateFactionIndex = [];

//List of factions that exist for this side's team templates.
{
	if (_x != "" && !(_x In WestTeamTemplateFactionIndex)) then {WestTeamTemplateFactionIndex = WestTeamTemplateFactionIndex + [_x]};
} ForEach WestTeamTemplateFactions;

//Construct lists for each faction. This allows fast faction lookups of team names with Find command.
//(Master list may contain multiple teams with same name but different factions.)
WestTeamTemplateNamesByFaction = [];

{
	//Create list of template names for only this faction.
	_list = +WestTeamTemplateNames;
	_total = Count _list;

	for [{_count = 0},{_count < _total},{_count = _count + 1}] do
	{
		//If template belongs to different faction, clear the name. Index will be compatible with master list.
		if ((WestTeamTemplateFactions Select _count) != _x) then
		{
			_list Set [_count,""];
		};
	};

	WestTeamTemplateNamesByFaction = WestTeamTemplateNamesByFaction + [_list];
} ForEach WestTeamTemplateFactionIndex;

//AI commander preferences for AI teams.
_t		= ["InfantryFT"];
_t = _t	+ ["InfantryAT"];
_t = _t	+ ["MechanizedMedium"];
_t = _t	+ ["TankLight"];
_t = _t	+ ["Recon"];
_t = _t	+ ["TankLight"];
_t = _t	+ ["MechanizedMedium"];
_t = _t	+ ["BlackOps"];
WestAITeamTemplates = _t;

//EAST
_faction = (BIS_WF_Common GetVariable "EastFactions") Select 0;

_n		= ["None"];					//Variable name of team. Also the search name for functions.
_d		= ["None"];	//Name of team that is displayed in UIs. Making it blank will make it unavaible to commander for AI team assignment.
_t		= ["None"];					//Type of team: None, Infantry, Mechanized, Armor, Air.
_ab		= [_TEAMTYPENORMAL];//Ability of team: _TEAMTYPENORMAL, BIS_WF_TEAMTYPEEAA, BIS_WF_TEAMTYPEEAT. Can be added: BIS_WF_TEAMTYPEEAA + BIS_WF_TEAMTYPEEAT
_ai		= [false];					//If true it is only available to AI teams.
_f		= [""];						//Name of the BLUFOR/OPFOR sub-faction this team belongs to
_i		= [false];					//Infantry team.
_l		= [false];					//Light vehicles team.
_h		= [false];					//Heavy vehicles team.
_a		= [false];					//Air team.
_u		= [];
_c		= [_u];						//Classnames of units in team.

//
_n = _n	+ ["VDV"];
_d = _d	+ [""];
_t = _t + [_SPECOPS];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["vdvRFs1"];
_u = _u + ["vdvRFs1"];
_u = _u + ["vdvRFs3"];
_u = _u + ["vdvRFs3"];
_u = _u + ["vdvRFs4"];
_u = _u + ["vdvRFs4"];
_u = _u + ["vdvRFs5"];
_u = _u + ["vdvRFs6"];
_u = _u + ["vdvRFs9"];
_u = _u + ["vdvRFs11"];
_c = _c	+ [_u];

_n = _n	+ ["Infantry"];
_d = _d	+ [""];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier"];
_u = _u + ["RU_Soldier"];
_u = _u + ["RU_Soldier"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryFT"];
_d = _d	+ ["Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier_AR"];
_u = _u + ["RU_Soldier_GL"];
_u = _u + ["RU_Soldier_LAT"];
//_u = _u + ["RU_Soldier_Marksman"];
//_u = _u + ["RU_Soldier_LAT"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryAT"];
_d = _d	+ ["AT Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier_AT"];
_u = _u + ["RU_Soldier_AR"];
_u = _u + ["RU_Soldier_HAT"];
//_u = _u + ["RU_Soldier"];
//_u = _u + ["RU_Soldier_HAT"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryAA"];
_d = _d	+ ["AA Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier_AR"];
_u = _u + ["RU_Soldier_AA"];
_u = _u + ["RU_Soldier_AA"];
//_u = _u + ["RU_Soldier"];
//_u = _u + ["RU_Soldier_AA"];
_c = _c	+ [_u];

//Team type with this name must always be present.
_n = _n	+ ["InfantryATAA"];
_d = _d	+ ["AT/AA Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAT+_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier"];
_u = _u + ["RU_Soldier_AA"];
_u = _u + ["RU_Soldier_AT"];
//_u = _u + ["RU_Soldier_AA"];
//_u = _u + ["RU_Soldier_HAT"];
_c = _c	+ [_u];

_n = _n	+ ["InfantrySupport"];
_d = _d	+ ["Support Team"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];

/* Class RU_SoldierS_Engineer does not exist.
_u		= ["RU_SoldierS_Engineer"];
_u = _u + ["RU_SoldierS_Engineer"];
_u = _u + ["RU_SoldierS_Engineer"];
*/

_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier"];
_u = _u + ["RU_Soldier_Medic"];
_u = _u + ["RU_Soldier_Medic"];
//_u = _u + ["RU_Soldier"];
//_u = _u + ["RU_Soldier_Medic"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryWT"];
_d = _d	+ ["Weapons Team"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier"];
_u = _u + ["RU_Soldier_MG"];
_u = _u + ["RU_Soldier_Medic"];
_u = _u + ["RU_Soldier_MG"];
_c = _c	+ [_u];

_n = _n	+ ["Sniper"];
_d = _d	+ ["Sniper Team"];
_t = _t + [_SPECOPS];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["RU_Soldier_GL"];
_u = _u + ["RU_Soldier_Sniper"];
_u = _u + ["RU_Soldier"];
_u = _u + ["RU_Soldier_Sniper"];
_c = _c	+ [_u];

_n = _n	+ ["ReconLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "UAZ" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["UAZ_AGS30_RU"];
_u = _u + ["UAZ_AGS30_RU"];
_c = _c	+ [_u];

_n = _n	+ ["ReconHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "GAZ_Vodnik" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GAZ_Vodnik"];
_u = _u + ["GAZ_Vodnik"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "Kamaz" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEUNARMED];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["Kamaz"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedMedium"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "BTR90" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["BTR90"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "BMP3" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["BMP3"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedHeavyAA"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "2S6M_Tunguska" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["2S6M_Tunguska"];
_c = _c	+ [_u];

//Not really a tank team. Just gives an easy "downgrade" option for an armor team until heavy factory is available.
_n = _n	+ ["TankLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "BTR90" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["BTR90"];
_c = _c	+ [_u];

_n = _n	+ ["TankMedium"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "T72_RU" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["T72_RU"];
_c = _c	+ [_u];

_n = _n	+ ["TankHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "T90" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["T90"];
_c = _c	+ [_u];

_n = _n	+ ["TEAMAIR"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "Ka52" >> "displayName")];
_t = _t + [_AIR];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [true];
_u		= ["Ka52"];
_c = _c	+ [_u];

//Patrol teams for towns.
_n = _n	+ ["LightPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["UAZ_AGS30_RU"];
_u = _u + ["UAZ_AGS30_RU"];
_u = _u + ["GAZ_Vodnik"];
_c = _c	+ [_u];

_n = _n	+ ["MediumPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["BTR90"];
_u = _u + ["GAZ_Vodnik"];
_u = _u + ["BMP3"];
_c = _c	+ [_u];

_n = _n	+ ["HeavyPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT+_TEAMTYPEAA];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_RU"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["2S6M_Tunguska"];
_u = _u + ["BMP3"];
_u = _u + ["T72_RU"];
_c = _c	+ [_u];

_total = Count _n;

EastInfantryTeamTypes = [];
EastLightTeamTypes = [];
EastHeavyTeamTypes = [];
EastAirTeamTypes = [];
EastAIOnlyTeamTypes = [];

for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	if (_i Select _count) then {EastInfantryTeamTypes = EastInfantryTeamTypes + [_count]};
	if (_l Select _count) then {EastLightTeamTypes = EastLightTeamTypes + [_count]};
	if (_h Select _count) then {EastHeavyTeamTypes = EastHeavyTeamTypes + [_count]};
	if (_a Select _count) then {EastAirTeamTypes = EastAirTeamTypes + [_count]};
	if (_ai Select _count) then {EastAIOnlyTeamTypes = EastAIOnlyTeamTypes + [_count]};
};

EastTeamTemplates = _c;
EastTeamTemplateNames = _n;
EastTeamTemplateDescriptions = _d;
EastTeamTemplateTypes = _t;
EastTeamTemplateAbilities = _ab;
EastTeamTemplateFactions = _f;

//Generate costs for each template.
EastTeamTemplateCosts = [];

{
	_cost = 0;

	{
		_data = [East,"",_x] Call BIS_WF_GetUnitData;
		if (Count _data > 0) then {_cost = _cost + (_data Select 3)};
	} ForEach _x;

	EastTeamTemplateCosts = EastTeamTemplateCosts + [_cost];
} ForEach EastTeamTemplates;

//Generate fast lookup lists for factions.
EastTeamTemplateFactionIndex = [];

//List of factions that exist for this side's team templates.
{
	if (_x != "" && !(_x In EastTeamTemplateFactionIndex)) then {EastTeamTemplateFactionIndex = EastTeamTemplateFactionIndex + [_x]};
} ForEach EastTeamTemplateFactions;

//Construct lists for each faction. This allows fast faction lookups of team names with Find command.
//(Master list may contain multiple teams with same name but different factions.)
EastTeamTemplateNamesByFaction = [];

{
	//Create list of template names for only this faction.
	_list = +EastTeamTemplateNames;
	_total = Count _list;

	for [{_count = 0},{_count < _total},{_count = _count + 1}] do
	{
		//If template belongs to different faction, clear the name. Index will be compatible with master list.
		if ((EastTeamTemplateFactions Select _count) != _x) then
		{
			_list Set [_count,""];
		};
	};

	EastTeamTemplateNamesByFaction = EastTeamTemplateNamesByFaction + [_list];
} ForEach EastTeamTemplateFactionIndex;

//AI commander preferences for AI teams.
_t		= ["InfantryFT"];
_t = _t	+ ["TEAMAIR"];
_t = _t	+ ["TEAMAIR"];
EastAITeamTemplates = _t;

//Resistance
_n		= ["None"];					//Variable name of team. Also the search name for functions.
_d		= ["None"];	//Name of team that is displayed in UIs. Making it blank will make it unavaible to commander for AI team assignment.
_t		= ["None"];					//Type of team: None, Infantry, Mechanized, Armor, Air.
_ab		= [_TEAMTYPENORMAL];	//Ability of team: _TEAMTYPENORMAL, BIS_WF_TEAMTYPEEAA, BIS_WF_TEAMTYPEEAT. Can be added: BIS_WF_TEAMTYPEEAA + BIS_WF_TEAMTYPEEAT
_ai		= [false];					//If true it is only available to AI teams.
_f		= [""];
_i		= [false];					//Infantry team.
_l		= [false];					//Light vehicles team.
_h		= [false];					//Heavy vehicles team.
_a		= [false];					//Air team.
_u		= [];
_c		= [_u];						//Classnames of units in team.

_n = _n	+ ["Infantry"];
_d = _d	+ [""];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_2"];
_u = _u + ["GUE_Soldier_3"];
_u = _u + ["GUE_Soldier_1"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryFT"];
_d = _d	+ ["Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_MG"];
_u = _u + ["GUE_Soldier_Medic"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryWT"];
_d = _d	+ ["Weapons Team"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_MG"];
_u = _u + ["GUE_Soldier_Medic"];
_u = _u + ["GUE_Soldier_MG"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryAT"];
_d = _d	+ ["Anti-Tank Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_AT"];
_u = _u + ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_AT"];
_u = _u + ["GUE_Soldier_Medic"];
_c = _c	+ [_u];

_n = _n	+ ["InfantryAA"];
_d = _d	+ ["Anti-Air Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_AA"];
_u = _u + ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_AA"];
_u = _u + ["GUE_Soldier_Medic"];
_c = _c	+ [_u];

//Team type with this name must always be present.
_n = _n	+ ["InfantryATAA"];
_d = _d	+ ["AT/AA Fireteam"];
_t = _t + [_INFANTRY];
_ab=_ab + [_TEAMTYPEAT+_TEAMTYPEAA];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_AT"];
_u = _u + ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_AA"];
_u = _u + ["GUE_Soldier_Medic"];
_c = _c	+ [_u];

_n = _n	+ ["Sniper"];
_d = _d	+ ["Sniper Team"];
_t = _t + [_SPECOPS];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_Sniper"];
_u = _u + ["GUE_Soldier_1"];
_u = _u + ["GUE_Soldier_Sniper"];
_u = _u + ["GUE_Soldier_Medic"];
_c = _c	+ [_u];

_n = _n	+ ["SpecOps"];
_d = _d	+ ["Spec Ops"];
_t = _t + [_SPECOPS];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [true];
_l = _l	+ [false];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["GUE_Soldier_Sniper"];
_u = _u + ["GUE_Soldier_Sab"];
_u = _u + ["GUE_Soldier_Sniper"];
_u = _u + ["GUE_Soldier_Sab"];
_c = _c	+ [_u];

_n = _n	+ ["ReconLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "Offroad_DSHKM_Gue" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["Offroad_DSHKM_Gue"];
_u = _u + ["Pickup_PK_GUE"];
_c = _c	+ [_u];

_n = _n	+ ["ReconLightAT"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "Offroad_SPG9_Gue" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["Offroad_SPG9_Gue"];
_u = _u + ["Offroad_DSHKM_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["ReconHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "BRDM2_Gue" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["BRDM2_Gue"];
_u = _u + ["BRDM2_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "BMP2_Gue" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEUNARMED];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["V3S_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedHeavy"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "BMP2_Gue" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["BMP2_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["MechanizedAA"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "Ural_ZU23_Gue" >> "displayName")];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["Ural_ZU23_Gue"];
_c = _c	+ [_u];

//Not really a tank team. Just gives an easy "downgrade" option for an armor team until heavy factory is available.
_n = _n	+ ["TankLight"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "Offroad_DSHKM_Gue" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["Offroad_DSHKM_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["Tank"];
_d = _d	+ [GetText (configFile >> "CfgVehicles" >> "T72_Gue" >> "displayName")];
_t = _t + [_ARMOR];
_ab=_ab + [_TEAMTYPEAT];
_ai=_ai	+ [false];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [false];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["T72_Gue"];
_c = _c	+ [_u];

//Patrol teams for towns.
_n = _n	+ ["LightPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [false];
_a = _a	+ [false];
_u		= ["Offroad_DSHKM_Gue"];
_u = _u + ["Pickup_PK_GUE"];
_u = _u + ["Offroad_SPG9_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["MediumPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["Offroad_SPG9_Gue"];
_u = _u + ["BRDM2_Gue"];
_u = _u + ["BMP2_Gue"];
_c = _c	+ [_u];

_n = _n	+ ["HeavyPatrol"];
_d = _d	+ [""];
_t = _t + [_MECHANIZED];
_ab=_ab + [_TEAMTYPENORMAL];
_ai=_ai	+ [true];
_f = _f	+ [Localize "STR_FN_GUE"];
_i = _i	+ [false];
_l = _l	+ [true];
_h = _h	+ [true];
_a = _a	+ [false];
_u		= ["Ural_ZU23_Gue"];
_u = _u + ["BMP2_Gue"];
_u = _u + ["T72_Gue"];
_c = _c	+ [_u];

_total = Count _n;

ResistanceInfantryTeamTypes = [];
ResistanceLightTeamTypes = [];
ResistanceHeavyTeamTypes = [];
ResistanceAirTeamTypes = [];
ResistanceAIOnlyTeamTypes = [];

for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	if (_i Select _count) then {ResistanceInfantryTeamTypes = ResistanceInfantryTeamTypes + [_count]};
	if (_l Select _count) then {ResistanceLightTeamTypes = ResistanceLightTeamTypes + [_count]};
	if (_h Select _count) then {ResistanceHeavyTeamTypes = ResistanceHeavyTeamTypes + [_count]};
	if (_a Select _count) then {ResistanceAirTeamTypes = ResistanceAirTeamTypes + [_count]};
	if (_ai Select _count) then {ResistanceAIOnlyTeamTypes = ResistanceAIOnlyTeamTypes + [_count]};
};

ResistanceTeamTemplates = _c;
ResistanceTeamTemplateNames = _n;
ResistanceTeamTemplateDescriptions = _d;
ResistanceTeamTemplateTypes = _t;
ResistanceTeamTemplateAbilities = _ab;
ResistanceTeamTemplateFactions = _f;

//Generate costs for each template.
ResistanceTeamTemplateCosts = [];

{
	_cost = 0;

	{
		_data = [Resistance,"",_x] Call BIS_WF_GetUnitData;
		if (Count _data > 0) then {_cost = _cost + (_data Select 3)};
	} ForEach _x;

	ResistanceTeamTemplateCosts = ResistanceTeamTemplateCosts + [_cost];
} ForEach ResistanceTeamTemplates;


//Generate fast lookup lists for factions.
ResistanceTeamTemplateFactionIndex = [];

//List of factions that exist for this side's team templates.
{
	if (_x != "" && !(_x In ResistanceTeamTemplateFactionIndex)) then {ResistanceTeamTemplateFactionIndex = ResistanceTeamTemplateFactionIndex + [_x]};
} ForEach ResistanceTeamTemplateFactions;

//Construct lists for each faction. This allows fast faction lookups of team names with Find command.
//(Master list may contain multiple teams with same name but different factions.)
ResistanceTeamTemplateNamesByFaction = [];

{
	//Create list of template names for only this faction.
	_list = +ResistanceTeamTemplateNames;
	_total = Count _list;

	for [{_count = 0},{_count < _total},{_count = _count + 1}] do
	{
		//If template belongs to different faction, clear the name. Index will be compatible with master list.
		if ((ResistanceTeamTemplateFactions Select _count) != _x) then
		{
			_list Set [_count,""];
		};
	};

	ResistanceTeamTemplateNamesByFaction = ResistanceTeamTemplateNamesByFaction + [_list];
} ForEach ResistanceTeamTemplateFactionIndex;

//AI commander preferences for AI teams.
_t		= ["InfantryFT"];
_t = _t	+ ["InfantryAT"];
_t = _t	+ ["MechanizedLight"];
_t = _t	+ ["TankLight"];
_t = _t	+ ["ReconLight"];
_t = _t	+ ["TankLight"];
_t = _t	+ ["ReconHeavy"];
_t = _t	+ ["SpecOps"];
ResistanceAITeamTemplates = _t;

//*****************************************************************************************
//9/6/8 MM - Created file.
