scriptName format ["%1Scripts\Common\Config\Config_LightFactory.sqf",BIS_WFdPath];
//Last modified 4/6/10
//*****************************************************************************************
//Description: Light vehicle factory configurations.
//*****************************************************************************************
Private["_c","_config","_data","_m","_p","_soldierCost","_t","_total","_u"];

//WEST
_u			= ["M1030"];
_c			= [100];
_m			= [1];
_t			= [10];
_p			= [10];

_u = _u		+ ["HMMWV"];
_c = _c		+ [125];
_m = _m		+ [2];
_t = _t		+ [15];
_p = _p		+ [10];

_u = _u		+ ["HMMWV_M2"];
_c = _c		+ [200];
_m = _m		+ [2];
_t = _t		+ [17];
_p = _p		+ [13];

_u = _u		+ ["HMMWV_Armored"];
_c = _c		+ [250];
_m = _m		+ [2];
_t = _t		+ [18];
_p = _p		+ [14];

_u = _u		+ ["HMMWV_MK19"];
_c = _c		+ [300];
_m = _m		+ [2];
_t = _t		+ [20];
_p = _p		+ [15];

_u = _u		+ ["HMMWV_TOW"];
_c = _c		+ [400];
_m = _m		+ [2];
_t = _t		+ [20];
_p = _p		+ [15];

_u = _u		+ ["HMMWV_Avenger"];
_c = _c		+ [450];
_m = _m		+ [2];
_t = _t		+ [30];
_p = _p		+ [25];

_u = _u		+ ["HMMWV_Ambulance"];
_c = _c		+ [200];
_m = _m		+ [1];
_t = _t		+ [20];
_p = _p		+ [0];

_u = _u		+ ["MTVR"];
_c = _c		+ [200];
_m = _m		+ [1];
_t = _t		+ [20];
_p = _p		+ [12];

_u = _u		+ ["WarfareSalvageTruck_USMC"];
_c = _c		+ [250];
_m = _m		+ [1];
_t = _t		+ [20];
_p = _p		+ [15];

_u = _u		+ ["MtvrRepair"];
_c = _c		+ [350];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

_u = _u		+ ["WarfareReammoTruck_USMC"];
_c = _c		+ [350];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

_u = _u		+ ["MtvrRefuel"];
_c = _c		+ [250];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

if (!BIS_WF_LimitedWarfare) then
{
	_u = _u		+ ["WarfareSupplyTruck_USMC"];
	_c = _c		+ [300];
	_m = _m		+ [1];
	_t = _t		+ [22];
	_p = _p		+ [15];
};

_u = _u		+ ["LAV25"];
_c = _c		+ [550];
_m = _m		+ [3];
_t = _t		+ [23];
_p = _p		+ [18];

_soldierCost = 100;
_data = [West,"Barracks",WSOLDIER] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_soldierCost = _data Select 2};

westLightDescriptions = [];
westLightFactions = [];
westLightImages = [];
westLightMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	westLightMannedCosts = westLightMannedCosts + [(_c Select _count) + (_m Select _count) * _soldierCost];
	westLightDescriptions = westLightDescriptions + [GetText (_config >> "displayName")];
	westLightFactions = westLightFactions + [GetText (_config >> "faction")];
	westLightImages = westLightImages + [GetText (_config >> "picture")];
};

westLightUnits = _u;
westLightCosts = _c;
westLightCrews = _m;
westLightTimes = _t;
westLightPoints = _p;

//EAST
_u			= ["UAZ_RU"];
_c			= [125];
_m			= [1];
_t			= [15];
_p			= [10];

_u = _u		+ ["UAZ_AGS30_RU"];
_c = _c		+ [250];
_m = _m		+ [2];
_t = _t		+ [17];
_p = _p		+ [15];

_u = _u		+ ["Kamaz"];
_c = _c		+ [200];
_m = _m		+ [1];
_t = _t		+ [20];
_p = _p		+ [12];

_u = _u		+ ["WarfareSalvageTruck_RU"];
_c = _c		+ [300];
_m = _m		+ [1];
_t = _t		+ [20];
_p = _p		+ [12];

_u = _u		+ ["KamazRepair"];
_c = _c		+ [350];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

_u = _u		+ ["WarfareReammoTruck_RU"];
_c = _c		+ [350];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

_u = _u		+ ["KamazRefuel"];
_c = _c		+ [250];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

if (!BIS_WF_LimitedWarfare) then
{
	_u = _u		+ ["WarfareSupplyTruck_RU"];
	_c = _c		+ [300];
	_m = _m		+ [1];
	_t = _t		+ [22];
	_p = _p		+ [15];
};

_u = _u		+ ["GAZ_Vodnik_MedEvac"];
_c = _c		+ [300];
_m = _m		+ [1];
_t = _t		+ [25];
_p = _p		+ [0];

_u = _u		+ ["GAZ_Vodnik"];
_c = _c		+ [350];
_m = _m		+ [2];
_t = _t		+ [23];
_p = _p		+ [10];

_u = _u		+ ["GAZ_Vodnik_HMG"];
_c = _c		+ [550];
_m = _m		+ [2];
_t = _t		+ [24];
_p = _p		+ [11];

_u = _u		+ ["BTR90"];
_c = _c		+ [600];
_m = _m		+ [2];
_t = _t		+ [25];
_p = _p		+ [19];

_soldierCost = 100;
_data = [East,"Barracks",ESOLDIER] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_soldierCost = _data Select 2};

eastLightDescriptions = [];
eastLightFactions = [];
eastLightImages = [];
eastLightMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	eastLightMannedCosts = eastLightMannedCosts + [(_c Select _count) + (_m Select _count) * _soldierCost];
	eastLightDescriptions = eastLightDescriptions + [GetText (_config >> "displayName")];
	eastLightFactions = eastLightFactions + [GetText (_config >> "faction")];
	eastLightImages = eastLightImages + [GetText (_config >> "picture")];
};

eastLightUnits = _u;
eastLightCosts = _c;
eastLightCrews = _m;
eastLightTimes = _t;
eastLightPoints = _p;

//RESISTANCE
_u			= ["TT650_Gue"];
_c			= [100];
_m			= [1];
_t			= [9];
_p			= [10];

_u = _u		+ ["V3S_Gue"];
_c = _c		+ [150];
_m = _m		+ [2];
_t = _t		+ [13];
_p = _p		+ [12];

_u = _u		+ ["WarfareSalvageTruck_Gue"];
_c = _c		+ [250];
_m = _m		+ [2];
_t = _t		+ [21];
_p = _p		+ [15];

_u = _u		+ ["WarfareRepairTruck_Gue"];
_c = _c		+ [350];
_m = _m		+ [1];
_t = _t		+ [22];
_p = _p		+ [15];

_u = _u		+ ["WarfareReammoTruck_Gue"];
_c = _c		+ [350];
_m = _m		+ [2];
_t = _t		+ [21];
_p = _p		+ [15];

if (!BIS_WF_LimitedWarfare) then
{
	_u = _u		+ ["WarfareSupplyTruck_Gue"];
	_c = _c		+ [300];
	_m = _m		+ [2];
	_t = _t		+ [21];
	_p = _p		+ [15];
};

_u = _u		+ ["Pickup_PK_GUE"];
_c = _c		+ [200];
_m = _m		+ [2];
_t = _t		+ [14];
_p = _p		+ [14];

_u = _u		+ ["Offroad_DSHKM_Gue"];
_c = _c		+ [275];
_m = _m		+ [2];
_t = _t		+ [15];
_p = _p		+ [15];

_u = _u		+ ["Offroad_SPG9_Gue"];
_c = _c		+ [350];
_m = _m		+ [2];
_t = _t		+ [17];
_p = _p		+ [16];

_u = _u		+ ["Ural_ZU23_Gue"];
_c = _c		+ [400];
_m = _m		+ [2];
_t = _t		+ [20];
_p = _p		+ [18];

_u = _u		+ ["BRDM2_Gue"];
_c = _c		+ [450];
_m = _m		+ [2];
_t = _t		+ [19];
_p = _p		+ [20];

_soldierCost = 100;
_data = [Resistance,"Barracks",GSOLDIER] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_soldierCost = _data Select 2};

resistanceLightDescriptions = [];
resistanceLightFactions = [];
resistanceLightImages = [];
resistanceLightMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	resistanceLightMannedCosts = resistanceLightMannedCosts + [(_c Select _count) + (_m Select _count) * _soldierCost];
	resistanceLightDescriptions = resistanceLightDescriptions + [GetText (_config >> "displayName")];
	resistanceLightFactions = resistanceLightFactions + [GetText (_config >> "faction")];
	resistanceLightImages = resistanceLightImages + [GetText (_config >> "picture")];
};

resistanceLightUnits = _u;
resistanceLightCosts = _c;
resistanceLightCrews = _m;
resistanceLightTimes = _t;
resistanceLightPoints = _p;

//SPECIAL VEHICLES - If these classes are changed above they must be updated here too.
WREPAIRTRUCK = "MtvrRepair";
WSALVAGETRUCK = "WarfareSalvageTruck_USMC";
WSUPPLYTRUCK = "WarfareSupplyTruck_USMC";
WAMMOTRUCK = "WarfareReammoTruck_USMC";
WFUELTRUCK = "MtvrRefuel";

EREPAIRTRUCK = "KamazRepair";
ESALVAGETRUCK = "WarfareSalvageTruck_RU";
ESUPPLYTRUCK = "WarfareSupplyTruck_RU";
EAMMOTRUCK = "WarfareReammoTruck_RU";
EFUELTRUCK = "KamazRefuel";

GREPAIRTRUCK = "WarfareRepairTruck_Gue";
GSALVAGETRUCK = "WarfareSalvageTruck_Gue";
GSUPPLYTRUCK = "WarfareSupplyTruck_Gue";
GAMMOTRUCK = "WarfareReammoTruck_Gue";
GFUELTRUCK = "V3S_Gue";

lightUnits = westLightUnits + eastLightUnits + resistanceLightUnits;
lightUnitCosts = westLightCosts + eastLightCosts + resistanceLightCosts;
lightUnitDescriptions = westLightDescriptions + eastLightDescriptions + resistanceLightDescriptions;

//Determine longest build time.
longestLightBuildTime = 0;
_t = eastLightTimes + westLightTimes + resistanceLightTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestLightBuildTime) then
	{
		longestLightBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//3/28/7 MM - Created file.
